<?php

namespace Maatwebsite\Excel\Classes;

use \PhpOffice\PhpSpreadsheet\Settings;

class Cache
{
    /**
     * The name of the config file
     * @var string
     */
    private const CONFIG_NAME = 'excel.cache';

    public function __construct()
    {
        if ($this->isEnabled()) {
            $configKey = sprintf('%s.driver', self::CONFIG_NAME);
            $cacheDriver = config($configKey);
            if (null !== $cacheDriver) {
                Settings::setCache(app($cacheDriver));
            }
        }
    }

    /**
     * Check if caching is enabled
     * @return boolean
     */
    public function isEnabled()
    {
        $configKey = sprintf('%s.enable', self::CONFIG_NAME);
        return config($configKey, true);
    }
}
